<script>
export default {
  name: `cbr-dropdown`,
  props: {
    value: { type: String, required: true },
    items: { type: Array, required: true },
    label: { type: String, default: `` },
  },
  computed: {
    localModel: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit(`input`, value);
      }
    },
  },
}
</script>

<template>
  <v-select
    v-model="localModel"
    :items="items"
    :label="label"
    v-bind="$attrs"
    class="text-body-2"
  />
</template>
